Request

Endpoint: !AutoRefund

https://secure.trust-provider.com/products/!AutoReject

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required and optional variables.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

The account username.

This value is case sensitive.

loginPassword

required

string

128 chars

The account password.

This value is case sensitive.

orderNumber

required

string

The order number for which you want to request a refund.

refundReasonCode

required

integer

The reason for the refund.

The possible values are:

  • 1 — Unable to validate certificate

  • 2 — Domain or organization no longer active

  • 3 — Would like to get another type of certificate

  • 4 — Failed brand validation

  • 5 — Sectigo rejected certificate request

  • 6 — Certificate revoked due to malware

  • 7 — Certificate revoked due to phishing

  • 8 — Certificate revoked due to Google Safe Browsing

  • 9 — Moving to another Certificate Authority

  • 10 — Found the certificate for a better price

  • 11 — Other

Sample request

curl --location 'https://secure.trust-provider.com/products/!AutoRefund' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'refundReasonCode=1'

Response

The request is successful when the server returns a response with the status code 0.

Any errorCode less than 0 indicates an error condition.

The list of codes and their descriptions can be found in Error codes.

The response format is restricted to the newline-delimited parameters.

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

A numeric code that identifies the type of the error. For more information, see Error codes.

errorMessage

The error message.

Sample success response

Success response with the code 0.

0

Sample error response

-17
Request used GET rather than POST!

Error codes

The following table outlines error responses returned by the AutoRefund API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over HTTPS!

The request must be submitted over HTTPS.

-2

'xxxx' is an unrecognized argument!

The request contains an unsupported argument.

-3

The 'xxxx' argument is missing!

A required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The provided argument value is not valid.

-14

An unknown error occurred!

An unspecified error occurred while processing the refund request.

-16

Permission denied!

The account does not have permission to perform this refund request.

-17

Request used GET rather than POST!

The request must use the HTTP POST method.

-18

Description of why the request failed.

The refund request failed. The response message provides additional details about why the refund request failed.